XMLReader::moveToNextAttribute
XMLReader::open
XMLReader
PHP Manual

# XMLReader::next

(PHP 5 >= 5.1.2)

XMLReader::next — Move cursor to next node skipping all subtrees

### Description

bool XMLReader::next ([ string `$localname` ] )

Positions cursor on the next node skipping all subtrees.

### Parameters

`localname`

  The name of the next node to move to.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLReader::next
- XMLReader::moveToElement
- XMLReader::moveToAttribute

XMLReader::moveToNextAttribute
XMLReader::open
XMLReader
PHP Manual